using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NIDAQmx
{
    public class DOChannelFactory : ChannelFactory
    {
        internal DOChannelFactory(DAQmx daqmx) : base(daqmx)
        {
        }
        public DOChannel Create(string lines, string nameToAssignToLines, int lineGrouping)
        {
            return Exc<DOChannel>(p=>p.Create, lines, nameToAssignToLines, lineGrouping);
        }
    }
}
